package de.yasc.example.petrinet;

import java.io.IOException;
import java.util.Arrays;

public class Main {
    public static void main(String arg[]) {
        try (var parser = new PetrinetParser(System.in)) {
            var net = parser.read();
            
            // test code
            net.step(2);
            System.out.println(Arrays.asList(net.getMarking()).toString());
        } catch (IOException ex) {
            System.err.println("Error: "+ex.getMessage());
            System.exit(1);
        }        
    }
}
